import React from 'react';
import { Props } from './Drawer.types';
export declare const components: {
    CloseButton: import("styled-components").StyledComponent<import("../Button/components/IconButton/IconButton.types").IconButtonComponent, import("styled-components").DefaultTheme, {}, never>;
    Container: import("styled-components").StyledComponent<import("framer-motion").ForwardRefComponent<HTMLDivElement, import("framer-motion").HTMLMotionProps<"div">>, import("styled-components").DefaultTheme, {}, never>;
    Content: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
    Footer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
    TitleWrapper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
};
export declare const Drawer: React.FC<Props> & {
    components: typeof components;
};
